summaryrefslogtreecommitdiffstats
path: root/office/osmo/osmo.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'office/osmo/osmo.SlackBuild')
-rw-r--r--office/osmo/osmo.SlackBuild6
1 files changed, 4 insertions, 2 deletions
diff --git a/office/osmo/osmo.SlackBuild b/office/osmo/osmo.SlackBuild
index 1f2e5292e1..39bf6dd922 100644
--- a/office/osmo/osmo.SlackBuild
+++ b/office/osmo/osmo.SlackBuild
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=osmo
-VERSION=${VERSION:-0.2.10}
+VERSION=${VERSION:-r928}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -70,7 +70,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z*
cd $PRGNAM-$VERSION
chown -R root:root .
find . \
@@ -79,6 +79,8 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+./autogen.sh || true
+
CFLAGS="$SLKCFLAGS -I/usr/include/libical" \
./configure \
--prefix=/usr \